## org.apache.xerces.validators.datatype
Class MonthDayDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--org.apache.xerces.validators.datatype.DateTimeValidator
                        |
                        +--org.apache.xerces.validators.datatype.MonthDayDatatypeValidator

public class MonthDayDatatypeValidator
extends DateTimeValidator

Validator for <gMonthDay> datatype (W3C Schema Datatypes)

Version:
  $Id: MonthDayDatatypeValidator.java,v 1.5 2001/06/21 20:56:07 elena Exp $
Author:
  Elena Litani

Fields inherited from class org.apache.xerces.validators.datatype.DateTimeValidator
`CY, D, DAY, EQUAL, fBuffer, fDateValue, fEnd, fEnumSize, fStart, GREATER_THAN, h, hh, LESS_THAN, m, M, message, mm, MONTH, MONTH_SIZE, ms, s, timeZone, TOTAL_SIZE, utc, YEAR`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`MonthDayDatatypeValidator()`
`MonthDayDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected java.lang.String` `dateToString(int[] date)` Converts gMonthDay object representation to String
`protected int[]` `parse(java.lang.String str, int[] date)` Parses, validates and computes normalized version of gMonthDay object

Methods inherited from class org.apache.xerces.validators.datatype.DateTimeValidator

`assignAdditionalFacets, checkContent, clone, compare, compareDates, compareOrder, compareValues, findUTCSign, fQuotient, fQuotient, getDate, getMaxExclusive, getMaxInclusive, getMinExclusive, getMinInclusive, getTime, getTimeZone, getYearMonth, indexOf, initializeValues, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseTimeZone, reportError, resetBuffer, resetDateObj, setEnumeration, setMaxExclusive, setMaxInclusive, setMinExclusive, setMinInclusive, validate, validateDate, validateDateTime`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`checkBaseFacetConstraints, checkFacetConstraints, inheritAdditionalFacets`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonthDayDatatypeValidator

    public MonthDayDatatypeValidator()
                              throws InvalidDatatypeFacetException

### MonthDayDatatypeValidator

    public MonthDayDatatypeValidator(DatatypeValidator base,
                                     java.util.Hashtable facets,
                                     boolean derivedByList)
                              throws InvalidDatatypeFacetException

Method Detail

### parse

    protected int[] parse(java.lang.String str,
                          int[] date)
                   throws SchemaDateTimeException

  Parses, validates and computes normalized version of gMonthDay object
  Overrides:
    parse in class DateTimeValidator
  Parameters:
    `str` - The lexical representation of gMonthDay object --MM-DD with possible time zone Z or (-),(+)hh:mm
    `date` - uninitialized date object
  Returns:
    normalized date representation
  Throws:
    java.lang.Exception - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(int[] date)

  Converts gMonthDay object representation to String
  Overrides:
    dateToString in class DateTimeValidator
  Parameters:
    `date` - gmonthDay object
  Returns:
    lexical representation of month: --MM-DD with an optional time zone sign

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.